Cофтпанорама 1990, No. 5 (9)            Составитель: Н.Н. БЕЗРУКОВ
******************************************************************

             ***************************************
             *  П А Н О Р А М А   Н О В О С Т Е Й  *
             ***************************************


************************  НА ВИРУСНОМ ФРОНТЕ **************************

>>>>>>>>>>>>>>>>>>>  Роберт Моррис осужден условно <<<<<<<<<<<<<<<<<<<<

     Как сообщила телепрограмма ВРЕМЯ,  автор известного вируса  (червя)
Р.Моррис признан виновным судом присяжных и осужден условно на два года.
Кроме того,  Моррису предстоит выплатить 100 тысяч долларов и отработать
400 часов на общественных работах.  Осуждение Р.Морриса-младшего, автора
сетевого вируса,  поразившего  в  ноябре  1988  года  американскую  сеть
INTERNET,  показывает что американское общество уже осознает опасность и
предпринимает меры по борьбе с ней.
                                                                 Ред.


>>>>>>>>>>>>>>>>   Образуется группа вирусов Avenger <<<<<<<<<<<<<<<<<

     Начинает образовываться группа вирусов Avenger, родоначальником ко-
торой  является печально известный вирус RCE-1800 (Dark Avenger). Теперь
появился вирус RCE-2000 (Bontchev). Предположительно оба вируса болгарс-
кой разработки.  Стоит подумать о том,  что нас ожидает, если количество
вирусов в этой группе будет сопоставимо с количеством вирусов  в  группе
ТР-вирусов.   Ряд   вопросов  вызывает  строка  "(c)  1989  by  Vesselin
Bontchev", встречающаяся в теле вируса.

               Вирус RCE-2000 (V2000, Bontchev - Бончев)

     Вирус RCE-2000 получил свое название в связи с тем,  что в теле ви-
руса содержатся две достаточно длинные текстовые строки:

     1. "Zopy me - I want to travel" (в начале вируса,  т.е. сразу после
конца зараженной программы).

     2. "(c) 1989 by Vesselin Bontchev" (в конце  тела  вируса,  т.е.  в
последнем блоке зараженного файла).

     В теле вируса имеется также строка "Диана П."

     Данный вирус является довольно сильно модифицированным штаммом RCE-
1800. Для маскировки в нем используется ряд недокументированных прерыва-
ний.  По мнению Д.Н.Лозинского, данный вирус должен обходить слежение за
прерываниями 13 и 26.

     Зараженные COM-файлы увеличиваются в размере на 2000 байтов, причем
дата их создания и атрибуты остаются неизменными.  Заражение выполняется
однократно.  При заражении вирус дописывает свое  тело  в  конец  файла,
вставляя в первые три байта команду перехода на начало вируса.  Выравни-
вания на границу параграфа для COM-файлов не  выполняется.  Инфицируются
COM-файлы длиной от 1959 байтов.

     Заражение EXE-файлов характерно тем,  что несмотря на то, что вирус
выполняет выравнивание всего тела на границу параграфа,  приращение  ис-
кусственно  поддерживается  постоянным и равным 2000 байт.  Инфицируются
EXE-файлы длиной больше 2000 байт.

     Стадия проявления, как и у вируса RCE-1800, состоит в уничтожении
отдельных секторов диска (в   них записывается нулевой сектор текущего
диска). Кроме того, вирус помечает зараженные файлы путем проставления в
дате создания файла 62 секунд, как вирусы венской группы (С-648).

                         Исторические замечания

     Вирус обнаружен в Москве в апреле 1990 года.  Если исходить из при-
веденной выше строки "(c) 1989 by Vesselin Bontchev.", то RCE-2000 напи-
сан Веселином Бончевым сравнительно недавно (1989 г.?).  В случае,  если
это правда,  возникают серьезные вопросы относительно возможного авторс-
тва  вируса  RCE-1800.  В любом случае всплывает вопрос о продолжающейся
деятельности болгарской группы, базирующейся, по видимому, в ВМЕИ им. В.
И.Ленина (Веселин Бончев окончил этот вуз в 1984 году).

     Первым вирус исследовал Д.Н.Лозинский. Первым фагом для данного ви-
руса был AIDSTEST (версия 29 от 18.04.90, длина 34595).

                         Неформальные названия

    Полидетектор SCAN80 называет данный вирус "V2000". Другими названия-
ми являются Bontchev и Диана П.  Последние название связано с тем, что в
теле вируса содержится строка "Диана П."

                      Программные средства защиты

     Данный вирус детектируется полидетектором SCAN80.  В качестве  фага
можно использовать полифаг AIDSTEST. Выявление поврежденных вирусом фай-
лов можно выполнить с помощью глобального контекстного поиска  по диску,
обеспечиваемого, например, PCTools. Любые действия по анализу содержимо-
го диска следует выполнять только при условии  предварительной  загрузки
операционной системы с эталонной, защищенной по записи, дискеты.


  Фрагмент дампа программы DUMY2008.COM, зараженной вирусом RCE-2000

0000: E9 35 08 90 90 90 90 90  90 90 90 90 90 90 90 90   .5..............
0010: 90 90 90 90 90 90 90 90  90 90 90 90 90 90 90 90   ................
.     ...   ...   ...   ...    ...   ...   ...   ...     ...   ...   ...
07D0: 90 90 90 90 90 90 C3 1A  5A 6F 70 79 20 6D 65 20   ........Zopy me
07E0: 2D 20 49 20 77 61 6E 74  20 74 6F 20 74 72 61 76   - I want to trav
07F0: 65 6C 00 00 90 51 13 81  C6 B5 07 8C C3 83 C3 10   el...Q..........
0800: 2E 03 5C 02 2E 89 9C 96  F8 2E 8B 1C 2E 89 9C 94   ..\.............
0810: F8 8C C3 83 C3 10 2E 03  5C 06 8E D3 2E 8B 64 04   ........\.....d.
0820: EA 00 00 00 00 BF 00 01  81 C6 BD 07 A4 A5 8B 26   ...............&
0830: 06 00 33 DB 53 FF 64 F5  E8 00 00 5E 81 EE 63 00   ..3.S.d....^..c.
0840: FC 2E F6 94 89 07 2E 81  BC BD 07 4D 5A 74 0E FA   ...........MZt..
0850: 8B E6 81 C4 C0 08 FB 3B  26 06 00 73 C8 50 06 56   .......;&..s.P.V
0860: 1E 8B FE 33 C0 50 8E D8  C5 16 4C 00 B4 30 CD 21   ...3.P....L..0.!
0870: 2E 88 84 12 08 86 C4 3D  1E 03 72 0C B4 13 CD 2F   .......=..r..../
0880: 1E 52 B4 13 CD 2F 5A 1F  2E 89 94 A7 07 2E 8C 9C   .R.../Z.........
.     ...   ...   ...   ...    ...   ...   ...   ...     ...   ...   ...
0F00: 26 8B 0E 06 00 2B FF BE  89 07 AC F2 AE 75 0D 51   &....+.......u.Q
0F10: 57 B9 11 00 F3 A6 5F 59  75 ED EB E4 C6 06 13 08   W....._Yu.......
0F20: 00 EB C6 E8 AA FD B4 51  CD 21 2B FF 8B C7 4B 13   .......Q.!+...K.
0F30: D8 8E DB 8B 45 03 80 3D  5A 72 F4 3B 7D 01 75 A9   ....E..=Zr.;}.u.
0F40: 43 8E C3 3D 00 10 72 03  B8 00 10 B1 03 D3 E0 8B   C..=..r.........
0F50: C8 F3 AB EB 94 28 63 29  20 31 39 38 39 20 62 79   .....(c) 1989 by
0F60: 20 56 65 73 73 65 6C 69  6E 20 42 6F 6E 74 63 68    Vesselin Bontch
0F70: 65 76 2E 00 80 FC 03 75  0F 80 FA 80 73 05 EA 59   ev.....u....s..Y
0F80: EC 00 F0 EA 26 AF 00 F0  EA 75 01 3E 14 00 01 A3   ....&....u.>....
0F90: 14 90 90 90 90 E9 02 01  84 A8 A0 AD A0 20 8F 2E   ............. ..
0FA0: 00 55 8B EC FF 76 06 9D                            .U...v..

                                 * * *

************** У Г О Л О В Н А Я   Х Р О Н И К А ********************

>>> 5000 руб. сообщившему о местонахождении украденного компьютера <<<

     У студента-иностранца КИИГА украден компьютер PC XT  (объем  памяти
640K)  фирмы  Computech  (паспорт  фирмы  Compuland) c 20 M винчестром и
принтером STAR LC-X10. В случае установления его местонахождения, прось-
ба сообщить по тел. 472-75-89 или в милицию по тел. 475-13-55, 475-11-34
за вознаграждение 5000 руб.

******************* В Ы Ш Л И   В   С В Е Т:*************************

>>> Первый  номер электронного журнала НПО ГОРСИСТЕМОТЕХНИКА за 1990 <<<

                          СОДЕРЖАНИЕ
                    Предисловие редактора

               I.  ОПЕРАЦИОННЫЕ СИСТЕМЫ
      DOS  ПРЕОДОЛЕВАЕТ  640-КБАЙТНЫЙ  БАРЬЕР ИСПОЛЬЗУЕМОЙ ОПЕРАТИВНОЙ
 ПАМЯТИ.
      УХОДЯ ОТ DOS... В ЧЕРНУЮ ДЫРУ ?
      Роберт Р.Моррис и Вильям Е.Брукс. UNIX или OS/2? Сравнение  опе-
 рационных систем.
      Роберт Р. Морис и Вильям Е. Брукс. UNIX ИЛИ OS/2?  СРАВНИТЕЛЬНЫЙ
 АНАЛИЗ ГРАФИЧЕСКИХ СРЕДСТВ.

          II. ЛОКАЛЬНЫЕ ВЫЧИСЛИТЕЛЬНЫЕ СЕТИ
БЕЗОПАСНОСТЬ ДАННЫХ В ЛОКАЛЬНЫХ ВЫЧИСЛИТЕЛЬНЫХ СЕТЯХ.

           III. НОВЫЕ ТЕХНИЧЕСКИЕ СРЕДСТВА
        МОЩНЫЕ КОМПЬЮТЕРЫ ДЛЯ ПРОФЕССИОНАЛОВ.
      МОЩЬ  НАСТОЛЬНЫХ  КОМПЬЮТЕРОВ ПЕРЕХОДИТ К ПОРТАТИВНЫМ. (Обзор 11
 портативных компьютеров, оснащенных микропроцессором 80386).

     IV. БИБЛИОТЕКИ И ПАКЕТЫ ПРИКЛАДНЫХ ПРОГРАММ
    Лысенко В.Н. Некоторые программные средства общего назначения  для
 научно-технических расчётов на ПЭВМ типа IBM PC.
          - Аннотация к пакету MathCAD 2.0
          - Аннотация к пакету STATGRAPHICS 2.6.
          - Аннотация к пакету SYSTAT, веpсия 3.0
          - Аннотация к пакету GAUSS 2.0
          - Аннотация к пакету MATLAB 3.2-PC
      Таблица характеристик программного обеспечения для автоматизации
 издательских работ.
      БИБЛИОТЕКИ ДЛЯ БЕЙСИКА.
      Русифицированная   версия  информационно-графического  редактора
 DRGENIUS.
      Инструментальный  процессор информационно-графического моделиро-
 вания (VADIS).

 Э Н Ц И К Л О П Е Д И Я   M S - D O S
      Глава 3. Запоминающие устройства в MS-DOS

 П. НОРТОН. ПРОГРАММНО-АППАРАТНАЯ ОРГАНИЗАЦИЯ КОМПЬЮТЕРА IBM PC
      ГЛАВА 10. ДИСКИ: Более детальный обзор

 >>>>>>>>>>>>>>> Пятый выпуск КомпьютерПресс <<<<<<<<<<<<<<<<<<<<<<<<<<<

                 Содержание

   Оптическая память (с.3)
   Трансляторы языка СИ (с.31)
   Средние, небольшие и совсем маленькие лазерные принтеры (с.39)
   Измерение производительности компьютера (с.51)
   Интегрированное программное обеспечение (с.54)
   Локальные сети от А до Я (курс обучения) (с.68)
   RISC-поворот или сосуществование двух направлений (с.70)
   О будущем графического интерфейса (с.76).

   Данный выпуск еще раз демонстрирует, что самый дешевый журнал (2.80)
может быть и самым интересным.
                                                                  Ред.

                            * * *

**** РАССКАЗЫ ОБ УДАРНИКАХ КАПИТАЛИСТИЧЕСКОГО СОРЕВНОВАНИЯ *******

>>>>>>>>>>>>>>>>>>>>>> PKZIP версии 1.10 <<<<<<<<<<<<<<<<<<<<<<<<<

    Основным отличием от версии 1.02 является повышение скорости
архивирования загрузочных модулей. Несколько улучшен протокол.
                                                              Ред.

>>>>>>>>>>>>Диалоговые средства просмотра ZIP и ICE файлов <<<<<<<

     Появились два  средства диалогового просмотра архивированных файлов
Shez и новая версия NARC. Последняя распространяется как Shareware и два
попавших  в Союз файла из этой версии приведены в данном номере бюллете-
ня.
                                                               Ред.


        >>>>>>>     Версия 2.0 Zortech C++  <<<<<<<<<

     В рассматриваемой версии добавлен отладчик и расширен язык, в част-
ности,  добавлены конструкции АТ&Т V 2.0, включая множественное наследо-
вание и проверку соответствия типов при сборке.

      Добавлена совместимость с MS-WINDOW,  упрощен перенос программ  из
Microsoft C.

     Наиболее важным дополнением является символический отладчик, позво-
ляющий отлаживать программы на уровне  исходного  текста  (Sourse  Level
Debugger).

     Расширена и исправлена документация.

     За дополнительную  плату  поставляется исходный текст библиотеки 18
классов, ранее поставлявшихся в пакете С++ Тооls. Переработаные и расши-
ренные дополнительные  классы  включают  TSR-LIBRARY  для построения TSR
программ и FLASH GRAPHICS.

  Цены:

     С++ Соmpiler   - $199.95
     C++ Debugger   - $149.95
     C++ Tools      - $149.95
     Library Source - $149.95

     При покупке всех компонент скидка $200.

                                       Ред. (по материалам ВYTE)


 >>>>>>>>>>    DESQ view 2.2 / DESQ view 386  <<<<<<<<<<<<<<<<<
 преодалевает ограничение 640К без дополнительной аппаратуры

     Указанные версии   могут   работать  совместно  с  программой  QEMM
(Quarterdeck Expanded Memory Manager),  обеспечивающей  виртуальную  па-
мять,  совместимую с Lotus-Intel-Microsoft Expanded Memory specification
(EMS) version 4.0.



      >>>>>>   Версия 2.0 пакета Turbo C Tools   <<<<<<<

     Указанная версия обеспечивает дополнительно:
     - поддержку мыши для окон и меню
     - виртуальные окна и меню
     - контекстно-зависимый Help
     - редактирование полей в окнах с помощью перенастраиваемых
       на произвольные клавиши команд.



   >>>>>>>   BRIEF 3.0: погоня за MULTI-EDIT 4.0  <<<<<<<<

     В версии 3.0 введены

     - новый макроязык CBRIEF
     - новый отладчик, поддерживающий как старый макроязык, так и CBRIEF


     Цена $ 199 Разработчик:Solution system UK,
                            The Red House, 84 High Street,
                            Buntingford, Hertfordshire SG9 9AJ.

                                   Byte, December 1989



>>>>>  MICROSOFT теснит BORLAND на рынке С  компиляторов <<<<<<<

     Хотя автор был и останется сторонником BORLAND, как менее
крупной и  более  узко  специализированной  компании  по   сравнению   с
Microsoft,  в  данном случае последней как-то удалось наступить на пятки
своему более проворному конкуренту.

     Новая версия Quick C включает в себя Quick Assembler (совместимый с
MASM),  превращая его в первую интегрированную среду для С и ассемблера.

     Впервые вы можете воспользоваться редактором,  компилятором ассемб-
лера и отладчиком не выходя из интегрированной среды.

     Кроме того,  гипертекстовый Quick Advisor, включенный в пакет, поз-
воляет не только получить информацию о всех функциях BIOS и MS-DOS, но и
копирует образцы программ прямо в конструируемый текст.

                                                          Ред.
